lua2dox 0.2 20130128

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Member Functions | List of all members
TStream_Read Class Reference

file buffer More...

## Public Member Functions
| getContents (this, Filename)
| get contents of file
| getLineNo (this)
| get lineno
| getLine (this)
| get a line
| ungetLine (this, LineFrag)
| save line fragment
| eof (this)
| is it eof?

## Detailed Description

file buffer

an input file buffer

Definition at line 289 of file lua2dox.lua.

## Member Function Documentation

eof | ( | this |  | ) |

is it eof?

Definition at line 350 of file lua2dox.lua.

getContents | ( | this | ,
|  | Filename |
| ) |  |

get contents of file

Parameters

  Filename | name of file to read (or nil == stdin)

Definition at line 294 of file lua2dox.lua.

getLine | ( | this |  | ) |

get a line

Definition at line 327 of file lua2dox.lua.

getLineNo | ( | this |  | ) |

get lineno

Definition at line 322 of file lua2dox.lua.

ungetLine | ( | this | ,
|  | LineFrag |
| ) |  |

save line fragment

Definition at line 345 of file lua2dox.lua.

The documentation for this class was generated from the following file:

- lua2dox.lua